File: changelog

package info (click to toggle)
daq 2.0.7-5
  • links: PTS
  • area: main
  • in suites: bullseye, sid
  • size: 2,476 kB
  • sloc: ansic: 14,036; sh: 4,206; yacc: 596; lex: 458; makefile: 159
file content (164 lines) | stat: -rw-r--r-- 7,039 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
daq (2.0.7-5) unstable; urgency=medium

  * debian/libdaq-dev.install: Include the static modules again as they are
    actually required to build Snort (!)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 19 Jul 2020 15:13:40 +0200

daq (2.0.7-4) unstable; urgency=medium

  * debian/libdaq-dev.install: Remove static libraries (usr/lib/*/lib*.a)
  * Restored files from original sources which were removed in the Debian
    package ( aclocal.m4, Makefile.in, compile, configure, depcomp,
    install-sh, ltmain.sh, libtool.m4, os-daq-modules/Makefile.in,
    sfbpf/Makefile.in, api/Makefile.in)
  * Disable patch debian/patches/fix_ftbfs_parallel_build as this prevents the
    grammar symbols to be included in the libsfbpf library and leads to 
    Snort being able to start with the following error: 

    snort: symbol lookup error: libsfbpf.so.0: undefined symbol: sf_n_errors

    The FTBFS was caused by tokens.h not being generated before libtool
    was called to generate libsfbpf_la-sf_grammar.o, this has been fixed by
    overriding dh_autobuild so 'make -j1' is called instead of 'make -j4'.
    (Closes: 965320)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 19 Jul 2020 12:45:32 +0200

daq (2.0.7-3) unstable; urgency=medium

  * debian/control:
      - Remove duplicate Build-Dep on libpcap0.8-dev
      - Add Dependency on libdaq-dev on libpcap0.8-dev, libdumbnet-dev,
        libnetfilter-queue-dev. (Closes: #960479, #964786) 
        Thanks to Adrian Bunk for spotting this error which is due the
        following:
        $ daq-modules-config --static --libs
        -L/usr/lib/x86_64-linux-gnu -ldaq_static_modules  -lsfbpf -lpcap 
            -lsfbpf -lnfnetlink -lnetfilter_queue -lsfbpf -lpcap -ldumbnet
      - Remove Build-Dep on dh-autoreconf (lintian warning)
      - Remove duplicate Section: (lintian warning)

  * debian/libdaq2.install, debian/libdaq-dev.install: Add daq plugins into
    the binary package (added usr/lib/*/daq/*.so) and remove from -dev package
    (Closes: #818893)
  * debian/watch: Created file to look up for new versions

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 19 Jul 2020 11:50:12 +0200

daq (2.0.7-2) unstable; urgency=medium

  * Replace dummy iptables-dev with libpcap0.8-dev (Closes: #960220)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 11 May 2020 09:10:06 +0200

daq (2.0.7-1) unstable; urgency=medium

  * New upstream release
    - Do a source only upload for testing migration (Closes: 958093)
  * debian/patches/pcap_version_check: Apply patch proposed by Helmut Grohne to
    fix PCAP version checks, which should make the package now work when being
    cross compiled (Closes: #945940)
  * debian/patches/fix_ftbfs_parallel_build: Apply patch provided by 
    Adrian Bunk to fix FTBFS when rebuilding the package
    (Closes: 959617, 958101)
  * debian/control: 
    - Add libdumbnet-dev, libnetfilter-queue-dev, and iptables-dev to the
      Build-dependencies to build daq with IPQ and NFQ DAQ modules as proposed
      by Vytas Dauksa (Closes: #818894)
    - Updated to Debian Standards version 4.5.0

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 10 May 2020 11:43:31 +0200

daq (2.0.6-2) unstable; urgency=medium

  * debian/compat, debian/control: Update debhelper version to 12
  * Update debian/libdaq-dev.install and debian/libdaq2.install as required
  * debian/control: Change section to optional
  * debian/libdaq-dev.install: Remove .la files from being installed 
    [Fixes lintian error non-empty-dependency_libs-in-la-file]

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 25 Mar 2020 22:28:35 +0100

daq (2.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 30 Oct 2016 01:03:06 +0200

daq (2.0.4-3) unstable; urgency=high

  * debian/control:
     - Fix typo in that made libdaq-dev depend on the previous libdaq0 instead
       of libdaq2
     - libdaq2 cannot be installed alongside libdaq0 (they both provide
       /usr/lib/libsfbpf.so.0.0.1), added a Conflicts: to reflect this

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 25 Oct 2014 10:11:41 +0200

daq (2.0.4-2) unstable; urgency=medium

  * debian/control: Rename libdaq0 to libdaq2
    Also rename libdaq0.dirs -> libdaq2.dirs,
    libdaq0.install -> libdaq2.install
  * debian/libdaq-dev.install: Remove .la files

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 24 Oct 2014 23:25:38 +0200

daq (2.0.4-1) unstable; urgency=medium

  * Upload the latest upstream release 
  * debian/rules:  
     - Use dh-autoreconf to get new libtool macros for ppc64el and update
       config.{sub,guess} for new arches. (Closes: 727353)
  * debian/control:
     - Use UTF-8 for maintainer's name
     - Update the Homepage to its current location
     - Update Standards version, no changes required
     - Use dh-autoreconf as suggested by Matthias Klose

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 24 Oct 2014 23:17:25 +0200

daq (0.6.2-2) unstable; urgency=low

  * Upload to unstable (Closes: #656289)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 18 Jan 2012 19:34:45 +0100

daq (0.6.2-1) experimental; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@google.com>  Thu, 22 Dec 2011 10:21:09 -0800

daq (0.3-2) experimental; urgency=low

  * Fix FTBFS: update Build-Depends with flex, bison (Closes: #609054)
  * This version now supports inline mode since the dumbnet library is now properly 
    detected (Closes: #609865)
  * To fix the above change the debian/patches/10_dnet-to-dumbnet.diff patch
    New changes in the patch:
      - Make m4/sf.m4 work with latest autoconf since the AX_CFLAGS_GCC_OPTION
        call would not work when using multiple GCC_OPTIONS, only one option (pedantic)
        is now check to set 
     - os-daq-modules/Makefile.am, os-daq-modules/daq_ipq.c, os-daq-modules/daq_nfq.c:
        Modified to use 'dumbnet' instead of 'dnet'
     - README: it's 'aclocal -I m4', there is no 'config' directory
     - More changes due to the automatic regeneration of all autoconf files after doing the
       above changes and running:
       'libbtoolize --copy --force ; aclocal -I m4; autoheader; autoconf; automake --foreign '

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 13 Jan 2011 01:11:14 +0100

daq (0.3-1) experimental; urgency=low

  * Initial release. 
  * This library is required for Snort 2.9.0 (produced by the Snort team).
    Since I will be targetting experimental with Snort 2.9.0 I'm uploading this
    library there too.
  * debian/patches/10_dnet-to-dumbnet.diff: Patch to use dumbnet instead of
    dnet. It is not applied as it currently breaks the build due to an autoconf
    issue (to be investigated). This only prevents the IPQ and NFQ DAQs from
    being available (but the PCAP module should work)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 11 Nov 2010 00:52:20 +0100